com.holonplatform.datastore.jdbc.composer.expression

## Interface SQLLiteral<T>

- Type Parameters:
    `T` - Value type
  All Superinterfaces:
    com.holonplatform.core.Expression, com.holonplatform.core.TypedExpression<T>

      public interface SQLLiteral<T>
      extends com.holonplatform.core.TypedExpression<T>

  `Expression` which represents a SQL literal value.
  Since:
    5.1.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `com.holonplatform.core.Expression.ExpressionResolverFunction<E extends com.holonplatform.core.Expression,R extends com.holonplatform.core.Expression>, com.holonplatform.core.Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> SQLLiteral<T>` | `create(T value)` Create a new `SQLLiteral` value.
    `static <T> SQLLiteral<T>` | `create(T value, com.holonplatform.core.temporal.TemporalType temporalType)` Create a new `SQLLiteral` value.
    `T` | `getValue()` Get the value which has to be represented as a SQL literal.

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `getTemporalType, getType, isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

- - ### Method Detail

    - #### getValue

          T getValue()

      Get the value which has to be represented as a SQL literal.
      Returns:
        the literal value

    - #### create

          static <T> SQLLiteral<T> create(T value)

      Create a new `SQLLiteral` value.
      Type Parameters:
        `T` - Value type
      Parameters:
        `value` - Literal value
      Returns:
        A new `SQLLiteral`

    - #### create

          static <T> SQLLiteral<T> create(T value,
                                          com.holonplatform.core.temporal.TemporalType temporalType)

      Create a new `SQLLiteral` value.
      Type Parameters:
        `T` - Value type
      Parameters:
        `value` - Literal value
        `temporalType` - Value temporal type
      Returns:
        A new `SQLLiteral`

Copyright © 2019 The Holon Platform. All rights reserved.